# RSL_mcgill_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_mcgill_to_radar(char *infile);

### Description

Reads a McGill file and returns a pointer to the Radar structure. The input file is specified by the string infile. The input file may be compressed. If the data is compressed, it is passed through the GNU gunzip filter. Thus, compressed data can be any format that gzip understands.

The radar structure is, essentially, an array of Volumes. These volumes represent the reflectivity, velocity and spectrum width fields.

### Return value

Upon successful completion, RSL_mcgill_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned.

### See also

RSL_anyformat_to_radar

Author: Mike Kolander